# bson_reader_new_from_data()

## Synopsis

    bson_reader_t *
    bson_reader_new_from_data (const uint8_t *data, size_t length);

## Parameters

- `data`: A uint8_t.

- `length`: A size_t.

## Description

The bson_reader_new_from_data() function shall create a new bson_reader_t using the buffer supplied. `data` is not copied and MUST be valid for the lifetime of the resulting bson_reader_t.

## Returns

A newly allocated bson_reader_t.